<script>
    let cookiesPrefs = JSON.parse(localStorage.getItem('cookies_prefs'));
    let sendStats = (cookiesPrefs && cookiesPrefs.stats)

    /*  /!\ Without consent, we dont send any informations */
    if(sendStats){
        var _paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(["setDocumentTitle", document.domain+"/"+document.title]);
        _paq.push(["setCookieDomain", "*.{{ matomoUrl }}"]);
        _paq.push(["setDomains", ["*.{{ matomoUrl }}"]]);
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="{{ matomoUrlOwnServer }}";
        _paq.push(['setTrackerUrl', '{{ matomoUrlOwnServer }}matomo.php']);
        _paq.push(['setSiteId', '{{ matomoSiteId }}']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.type='text/javascript'; g.async=true; g.defer=true; g.src='{{ matomoUrlOwnServer }}matomo.js'; s.parentNode.insertBefore(g,s);
        })();
    }
</script>